com.mapinfo.midev.index.rtree

## Interface IEnvelopeDecorator

    public interface IEnvelopeDecorator

Users have to implement this interface for r-tree to get envelope from the user-defined objects which are stored in the r-tree leaf nodes.

### Method Summary

All Methods Instance Methods Abstract Methods
`Envelope` `getEnvelope(Object o)` Gets an envelope from the specified user-defined object.

### Method Detail

#### getEnvelope

    Envelope getEnvelope(Object o)

Gets an envelope from the specified user-defined object.

Parameters:
  `o` - an user-defined object this decorator can get an envelope from it.
Returns:
  an envelope contained in the user-defined object.